---
title: "Submit edit results"
description: >
  Order Editing - Submit Interface. Editing an order is a combination of interfaces (start editing, modify product quantity, add regular product lines, add custom product lines, add product line discounts, remove product line discounts, order editing and submission). You need to call the Edit Order - Start interface to start editing once. If there is an error when calling this interface, an error will be obtained in the return value user_ errors field. If the caller calls the Order Editing and Submit interface incorrectly, they need to check whether the current editing has been updated in the returned order data. If the returned order has no value, they need to query the order list query interface to see if the order data has been updated in this editing. If the data is clear but not updated, You can retry (note: retry requires starting from the order_iditjson order editing interface and calling the entire order editing interface again)
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/edit-order-combination-interface/submit-edit-results'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/edit-order-combination-interface/submit-edit-results.md'
---
# Submit edit results

Order Editing - Submit Interface. Editing an order is a combination of interfaces (start editing, modify product quantity, add regular product lines, add custom product lines, add product line discounts, remove product line discounts, order editing and submission). You need to call the Edit Order - Start interface to start editing once. If there is an error when calling this interface, an error will be obtained in the return value user_ errors field. If the caller calls the Order Editing and Submit interface incorrectly, they need to check whether the current editing has been updated in the returned order data. If the returned order has no value, they need to query the order list query interface to see if the order data has been updated in this editing. If the data is clear but not updated, You can retry (note: retry requires starting from the order_iditjson order editing interface and calling the entire order editing interface again)

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /orders/order_edit_commit.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_orders`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `request`

  object

  Request body

  * `notify_customer`

    boolean

    Need to inform customers or not

  * `id`

    string

    Edit order draft order id ( can be obtained from call order editing-start interface return parameters )

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `order`

  object

  For order information, field descriptions and examples, please refer to the response result of the order list

  * `id`

    string

    Order number , system customization number

  * `currency`

    string

    Transaction currency

  * `fulfillment_status`

    string

    Shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped; Note: the returned enum value is different from the query enumeration value of the input parameter

  * `email`

    string

    Buyer's mailbox, there must be one of the two

  * `total_tax_set`

    object

    Tax summation, multi-currency information

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

    * `presentment_money`

      object

      Buyer side amount information

      * `currency_code`

        string

        Currency

      * `amount`

        string

        Amount, Precision 2

  * `billing_address`

    object

    billing address

    * `zip`

      string

      Billing consignee name zip

    * `city`

      string

      Billing consignee city ( up to 64 characters )

    * `phone`

      string

      Bill consignee name mobile phone number

    * `last_name`

      string

      Bill consignee last name

    * `province_code`

      string

      Billing consignee name province encoding

    * `name`

      string

      Billing name

    * `address2`

      string

      Bill consignee additional to detailed address ( up to 255 characters )

    * `country`

      string

      Billing consignee country ( up to 64 characters )

    * `address1`

      string

      Billing consignee detailed address ( up to 255 characters )

    * `first_name`

      string

      Billing consignee name

    * `company`

      string

      Company name

    * `country_code`

      string

      Billing consignee national encoding

    * `province`

      string

      Billing consignee name province

  * `current_total_price`

    string

    Total tax, product tax + shipping tax

  * `deduct_member_point_amount`

    string

    Current order member point deduction amount

  * `discount_applications`

    array<object>

    Discount information

    * `value_type`

      string

      % discount , amount discount

    * `allocation_method`

      string

      1 ) across ( the value is distributed in all authorized lines ) 2 ) the ach ( the value is applied to each authorized line )

    * `code`

      string

      Discount code

    * `target_type`

      string

      1）line_item、shipping_line

    * `description`

      string

      Description of custom discount

    * `target_selection`

      string

      1 ) explicit ( discount distribution to clear selection ) 2 ) all ( discount distribution to all lines ) 3 ) ENTITLED ( discount distribution only to the line that its right to use )

    * `title`

      string

      automatic discount title

    * `type`

      string

      Discount type

    * `value`

      string

      The specific value of the discount ( it can be n-fold , or it can be the specific amount value )

  * `total_discounts`

    string

    Total discount, marketing discount + artificial discount

  * `user_id`

    string

    Buyer ID

  * `processed_user_id`

    string

    order creator

  * `total_tip_received`

    string

    Tip, precision 2

  * `total_weight`

    double

    Total product weight ( g )

  * `order_status_url`

    string

    Order status page URL

  * `app_id`

    string

    App ID

  * `created_at`

    string

    Order creation time (see IOS8601 for the format)

  * `checkout_id`

    string

    Discard id

  * `tax_number`

    string

    TIN

  * `subtotal_price`

    string

    Total product price after discount, total product price - marketing discount - artificial discount

  * `current_total_discounts_set`

    object

    Multi-currency information of the total discount, there is no multi-currency, so the buyer’s and seller’s currency and amount are the same; { currentTotalDiscountsSet "shopMoney": { "amount": "100", "currency_code": "CNY" }, "presentmentMoney": { "amount": "100", "currency_code": "CNY" } }

    * `presentment_money`

      object

      Currency information

      * `currency_code`

        string

        Currency information

      * `amount`

        string

        Amount

    * `shop_money`

      object

      Sell side amount

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `note_attributes`

    array<object>

    Merchant note log, date content

    * `create_time`

      string

      Remark creation time (see IOS8601 for the format)

    * `name`

      string

      Remark source (seller ID)

    * `value`

      string

      Notes

  * `shipping_address`

    object

    Shipping address

    * `longitude`

      string

      Longitude

    * `country_code`

      string

      Country code

    * `address1`

      string

      Address 1

    * `last_name`

      string

      First name

    * `name`

      string

      Full name

    * `first_name`

      string

      Last name

    * `province_code`

      string

      Province code

    * `zip`

      string

      Postal code

    * `province`

      string

      Province

    * `address2`

      string

      Detailed address 2, optional

    * `company`

      string

      Company name

    * `latitude`

      string

      Latitude

    * `city`

      string

      City

    * `country`

      string

      Country

    * `phone`

      string

      Phone

  * `credit_limit`

    object

    credit payment

    * `outstanding_credit_limit`

      string

      Total credit limit occupied by the order

    * `total_credit_limit`

      string

      Total credit limit used for the order

    * `credit_limit_currency`

      string

      Currency of the credit limit, currently in store currency

    * `is_credit_limit`

      boolean

      Whether the order used credit payment
      true: Used
      false: Not used

  * `financial_status`

    string

    Payment status , un pad , authorized , pending , partially_paid , pad , partially_refunded , refunded

  * `store_id`

    string

    store ID

  * `payment_details`

    array<object>

    Payment slip information

    * `create_time`

      string

      Payment slip creation time

    * `order_seq`

      string

      Order number

    * `pay_seq`

      string

      Payment slip number

    * `status_code`

      string

      payment status code

    * `status_msg`

      string

      Payment order status code description

    * `pay_amount`

      double

      Payment amount

    * `pay_status`

      string

      Payment slip status , unpaid- not paid ; pending- paying ; risking- wind control ; paid-paid ; paid_overtime- payment failed ; paid_failed- payment failure ;

    * `processed_at`

      string

      Payment creation time , format : 2023-04-12T22 : 59 : 52+08 : 00

    * `pay_channel_deal_id`

      string

      External channel payment serial number

  * `total_shipping_price_set`

    object

    Order shipping sum, multi-currency information

    * `shop_money`

      object

      Sell side amount information

      * `currency_code`

        string

        Currency

      * `amount`

        string

        Amount, Precision 2

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

  * `updated_at`

    string

    Order update time, (see IOS8601 for the format)

  * `current_subtotal_price_set`

    object

    Multi-currency information of the current commodity sum, the buyer's and seller's currency and the amount are the same

    * `presentment_money`

      object

      Buy side currency

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side amount

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency code

  * `subtotal_price_set`

    object

    Multi-currency information of total product price after discount

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

  * `total_line_items_price_set`

    object

    Sum of original price of goods, multi-currency information

    * `shop_money`

      object

      Sell side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

    * `presentment_money`

      object

      Buyer side amount information

      * `amount`

        string

        Amount, Precision 2

      * `currency_code`

        string

        Currency

  * `discount_codes`

    array<object>

    Promo code information

    * `code`

      string

      Promo code

    * `type`

      string

      Type of discount, reduced amount; discount; free shipping; fixed price; the lowest price item is free; package price; the Nth item is discounted;

    * `amount`

      string

      Discount amount, precision 2

  * `shipping_lines`

    array<object>

    Logistics information

    * `price`

      string

      Logistics freight, precision 2

    * `price_set`

      object

      Logistics freight multi-resource information

      * `shop_money`

        object

        Amount information on the store side

      * `presentment_money`

        object

        Buyer side amount information

    * `discount_allocations`

      array<object>

      Discount Details

      * `amount`

        string

        Discount amount, precision 2

      * `amount_set`

        object

        Discount Multi-Currency Amount

      * `discount_application_index`

        integer

        Discount index information : marked in the position of the discount details

    * `requested_fulfillment_service_id`

      string

      Transportation service code

    * `code`

      string

      Logistics number

    * `source`

      string

      Shipping source

    * `discounted_price`

      string

      Discount amount, precision 2

    * `phone`

      string

      Phone

    * `tax_lines`

      array<object>

      Logistics tax list

      * `title`

        string

        Tax name

      * `price`

        string

        tax

      * `price_set`

        object

        Multi-currency information of tax

      * `rate`

        double

        Tax rate

    * `title`

      string

      Logistics name

    * `discounted_price_set`

      object

      Discount Multi-Currency Amount

      * `presentment_money`

        object

        Buyer side amount information

      * `shop_money`

        object

        Amount information on the store side

    * `shipping_price`

      string

      The value of the original shipping fee (not the amount after the discount)

  * `current_total_price_set`

    object

    Multi-currency information of the sum of taxes, the currency and amount of buyers and sellers are the same

    * `shop_money`

      object

      Sell side currency

      * `currency_code`

        string

        Currency

      * `amount`

        string

        Amount

    * `presentment_money`

      object

      Buy side currency

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `payment_gateway_names`

    array<string>

    List of payment methods, list of payment methods used for this order, SLpayments, Paypal (PayPal payment), Oceanpay (Oceanpayment), TwoCheckout, AsiaBill, Stripe, Pacypay, WorldPay, COD (cash on delivery), CUSTOM (custom), adjustPay (funding adjustment), Xendit (xendit credit card), XenditOther

  * `total_discounts_set`

    object

    Multi-currency information of discount total

    * `presentment_money`

      object

      Buyer side amount information

      * `currency_code`

        string

        Currency

      * `amount`

        string

        Amount, Precision 2

    * `shop_money`

      object

      Sell side amount information

      * `currency_code`

        string

        Currency

      * `amount`

        string

        Amount, Precision 2

  * `cancel_reason`

    string

    Seller's reason for cancellation

  * `current_total_tax_set`

    object

    Multi-currency information of the sum of taxes, the currency and amount of buyers and sellers are the same

    * `presentment_money`

      object

      Buy side currency

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

    * `shop_money`

      object

      Sell side currency

      * `amount`

        string

        Amount

      * `currency_code`

        string

        Currency

  * `processed_at`

    string

    Processed_at time , format : 2023-04-12T22 : 59 : 52+08 : 00

  * `total_line_items_price`

    string

    Sum of original prices of goods, precision 2

  * `tags`

    string

    order label

  * `checkout_token`

    string

    Settlement page token

  * `current_total_discounts`

    string

    Sum of discounts, precision 2, marketing offers + artificial discounts

  * `note`

    string

    Merchant notes

  * `refunds`

    array<object>

    Refund list

    * `created_at`

      string

      Refund form creation time (see IOS8601 for the format)

    * `id`

      string

      Refund ID

    * `note`

      string

      Refund Notes

    * `order_id`

      string

      Order number

    * `processed_at`

      string

      Update time (see IOS8601 for the format)

    * `refund_line_items`

      array<object>

      Refund Details

      * `line_item_id`

        string

        The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number

      * `total_tax_set`

        object

        Total tax amount, multi-currency information

      * `subtotal_set`

        object

        Total refund amount, multi-currency information, same on seller and buyer side

      * `total_tax`

        double

        Tax amount of refunded goods, precision 2

      * `line_item`

        object

        Refund Product line

      * `quantity`

        integer

        Quantity, quantity of goods

      * `restock_type`

        string

        Inventory return type, no_restock-not returned, cancel-cancelled, return-returned only not returned

      * `id`

        string

        Order number for this adjustment of the single link

      * `subtotal`

        double

        Total refund amount, precision 2

    * `transactions`

      array<object>

      Refund transaction information

      * `status`

        string

        Handling status, pending, failure, success, and error

      * `currency`

        string

        Currency

      * `order_id`

        string

        Order number

      * `user_id`

        string

        Buyer ID

      * `amount`

        string

        Refund amount , accuracy 2

      * `created_at`

        string

        Creation time

      * `id`

        string

        Refund ID

      * `processed_at`

        string

        Refund order update time ( format see IOS8601 )

      * `kind`

        string

        Transaction type (authorization, capture, sale, void, refund)

    * `user_id`

      string

      User ID

  * `current_subtotal_price`

    string

    Sum of current products, total price of products * quantity

  * `line_items`

    array<object>

    Order product snapshot information

    * `discount_allocations`

      array<object>

      Marketing discount detail amount multi-currency

      * `amount`

        string

        Discount detail amount

      * `amount_set`

        object

        Discount Details Amount Multi-Currency

      * `discount_application_index`

        integer

        Indicate the location in the discount details

    * `title`

      string

      Product title

    * `name`

      string

      SKU title, same as title

    * `variant_id`

      string

      Product SKU serial number

    * `product_id`

      string

      SPU serial number

    * `attribute`

      string

      Product attributes : name-attribute value multiple comma " , " division like : color-red , size-x

    * `location_id`

      string

      The location corresponding to the store in the pos scene

    * `fulfillment_status`

      string

      The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;

    * `id`

      string

      The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number

    * `vendor`

      string

      Supplier

    * `tax_lines`

      array<object>

      Tax information

      * `price_set`

        object

        Multi-currency information of tax

      * `rate`

        double

        Tax rate

      * `title`

        string

        Tax name

      * `type`

        string

        Tax fee type, used to distinguish whether it is commodity tax or freight tax, the enumerated values ​​are as follows product_tax: commodity tax shipping_tax: freight tax

      * `price`

        string

        Tax, precision 2

    * `quantity`

      integer

      Quantity of items in the order

    * `grams`

      double

      Weight ( grams )

    * `requires_shipping`

      boolean

      Shipping or not

    * `variant_title`

      string

      Commodity attribute value, multiple divided by " / ", such as: "155 / red / large"

    * `sku`

      string

      Product code, barCode

    * `price`

      string

      Commodity price, precision 2

    * `taxable`

      boolean

      Tax or not？

    * `fulfillment_service`

      string

      Logistics company name

    * `properties`

      array<object>

      Product customization information

      * `additional`

        string

        Additional Fields for Custom Items

      * `name`

        string

        Custom attribute name

      * `type`

        string

        Attribute type, text-character, the display format is name: value; picture-picture, the display type is name: get the rendered thumbnail through URLs; link-hyperlink, the display type is name: value, supports clicking on the link to jump to urls First

      * `urls`

        array<string>

        URL resource list

      * `value`

        string

        Custom attribute values

    * `tags`

      string

      Commodity tags (separated by multiple commas)

    * `fulfillable_quantity`

      integer

      Available quantity

  * `current_total_tax`

    string

    Total tax, product tax + shipping tax

  * `presentment_currency`

    string

    Buy side currency, same as sell side currency

  * `total_tax`

    string

    Sum of taxes, precision 2, commodity tax + shipping tax

  * `name`

    string

    Custom order number

  * `cart_token`

    string

    Shopping cart token

  * `customer_locale`

    string

    Buyer country, language code + country name abbreviation

  * `taxes_included`

    boolean

    Does the total include tax?

  * `customer`

    object

    Buyer information

    * `first_name`

      string

      First name

    * `id`

      string

      User ID

    * `created_at`

      string

      Buyer creation time (see IOS8601 for the format)

    * `currency`

      string

      Currency

    * `phone`

      string

      User mobile phone number

    * `updated_at`

      string

      Buyer update time

    * `area_code`

      string

      Phone area code

    * `addresses`

      object

      Buyer address information

      * `address2`

        string

        Detailed address 2, optional

      * `first_name`

        string

        Last name

      * `address1`

        string

        Detailed address 1

      * `phone`

        string

        Phone

      * `province`

        string

        Province

      * `city`

        string

        City

      * `name`

        string

        Full name

      * `country_code`

        string

        Country code

      * `province_code`

        string

        Province code

      * `zip`

        string

        Postal code

      * `country`

        string

        Country

      * `last_name`

        string

        First name

    * `email`

      string

      User mailbox

    * `last_name`

      string

      Last name

  * `cancelled_at`

    string

    Order cancellation time (end) (see IOS8601 for the format), 2012-05-01T14:22:25-04:00

  * `tax_lines`

    array<object>

    Tax information

    * `price_set`

      object

      Multi-currency information of tax

      * `presentment_money`

        object

        Buyer side amount information

      * `shop_money`

        object

        Sell side amount information

    * `rate`

      double

      Tax rate

    * `title`

      string

      Tax name

    * `price`

      string

      Tax amount

  * `tax_type`

    string

    Types of tax ID

  * `client_details`

    object

    Client Details

    * `browser_ip`

      string

      Client ip address

    * `session_hash`

      string

      Member session encryption information

    * `user_agent`

      string

      Client Proxy

  * `fulfillments`

    array<object>

    Package information

    * `id`

      string

      Package number

    * `tracking_company`

      string

      Logistics company name

    * `tracking_url`

      string

      Logistics company URL

    * `updated_at`

      string

      Update time (see IOS8601 for the format)

    * `shipment_status`

      string

      Package tracking

    * `status`

      string

      Logistics delivery status, success-shipped; cancelled-cancelled;

    * `created_at`

      string

      Creation time (see IOS8601 for the format)

    * `line_items`

      array<object>

      Product list

      * `product_id`

        string

        SPU serial number

      * `quantity`

        integer

        Quantity of items in the order

      * `requires_shipping`

        boolean

        Shipping or not

      * `variant_id`

        string

        Product SKU serial number

      * `sku`

        string

        Product code, barCode

      * `id`

        string

        The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number

      * `name`

        string

        SKU title, same as title

      * `vendor`

        string

        Supplier

      * `variant_title`

        string

        Commodity attribute value, multiple divided by " / ", such as: "155 / red / large"

      * `taxable`

        boolean

        Tax or not？

      * `fulfillable_quantity`

        integer

        Available quantity

      * `fulfillment_status`

        string

        The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;

      * `title`

        string

        Product title

      * `fulfillment_service`

        string

        Logistics company name

      * `price`

        string

        Commodity price, precision 2

      * `tax_lines`

        array<object>

        Tax information

      * `grams`

        double

        Weight ( grams )

      * `attribute`

        string

        Product attributes : name-attribute value multiple comma " , " division like : color-red , size-x

    * `tracking_number`

      string

      Third party tracking number

    * `name`

      string

      invoice short number

    * `order_id`

      string

      Order number

  * `total_outstanding`

    string

    Sum of unpaid amount, precision 2

  * `phone`

    string

    Buyer contact information, there must be one of the two

  * `browser_ip`

    string

    Client IP

* `user_errors`

  array<object>

  Error prompt information in this execution , if the implementation result is wrong , this field will return error information

  * `code`

    string

    Wrong code

  * `field`

    array<string>

    Path that causes incorrect input fields

  * `message`

    string

    Error message


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Order Editing - Submit Interface. Editing an order is a combination of interfaces (start editing, modify product quantity, add regular product lines, add custom product lines, add product line discounts, remove product line discounts, order editing and submission). You need to call the Edit Order - Start interface to start editing once. If there is an error when calling this interface, an error will be obtained in the return value user_ errors field. If the caller calls the Order Editing and Submit interface incorrectly, they need to check whether the current editing has been updated in the returned order data. If the returned order has no value, they need to query the order list query interface to see if the order data has been updated in this editing. If the data is clear but not updated, You can retry (note: retry requires starting from the order_iditjson order editing interface and calling the entire order editing interface again)",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "VYvYsoxh",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "request": {
              "name": "request",
              "description": "Request body",
              "type": "object",
              "properties": {
                "notify_customer": {
                  "name": "notify_customer",
                  "description": "Need to inform customers or not",
                  "type": "boolean",
                  "example": false
                },
                "id": {
                  "name": "id",
                  "description": "Edit order draft order id ( can be obtained from call order editing-start interface return parameters )",
                  "type": "string",
                  "example": "2108973455469898"
                }
              },
              "required": [
                "id"
              ],
              "example": {
                "id": "2108973455469898",
                "notify_customer": false
              }
            }
          },
          "example": {
            "request": {
              "id": "2108973455469898",
              "notify_customer": false
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "order": {
                "name": "order",
                "description": "For order information, field descriptions and examples, please refer to the response result of the order list",
                "type": "object",
                "properties": {
                  "id": {
                    "name": "id",
                    "description": "Order number , system customization number",
                    "type": "string",
                    "example": "21050224312121887324667162"
                  },
                  "currency": {
                    "name": "currency",
                    "description": "Transaction currency",
                    "type": "string",
                    "example": "USD"
                  },
                  "fulfillment_status": {
                    "name": "fulfillment_status",
                    "description": "Shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped; Note: the returned enum value is different from the query enumeration value of the input parameter",
                    "type": "string",
                    "example": "fulfilled"
                  },
                  "email": {
                    "name": "email",
                    "description": "Buyer's mailbox, there must be one of the two",
                    "type": "string",
                    "example": "test1002@Gmail.com"
                  },
                  "total_tax_set": {
                    "name": "total_tax_set",
                    "description": "Tax summation, multi-currency information",
                    "type": "object",
                    "properties": {
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      },
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          },
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "8.00"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "8.00"
                        }
                      }
                    },
                    "example": {
                      "shop_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      },
                      "presentment_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "billing_address": {
                    "name": "billing_address",
                    "description": "billing address",
                    "type": "object",
                    "properties": {
                      "zip": {
                        "name": "zip",
                        "description": "Billing consignee name zip",
                        "type": "string",
                        "example": "521000"
                      },
                      "city": {
                        "name": "city",
                        "description": "Billing consignee city ( up to 64 characters )",
                        "type": "string",
                        "example": "New York"
                      },
                      "phone": {
                        "name": "phone",
                        "description": "Bill consignee name mobile phone number",
                        "type": "string",
                        "example": "13890312312"
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "Bill consignee last name",
                        "type": "string",
                        "example": "Washington"
                      },
                      "province_code": {
                        "name": "province_code",
                        "description": "Billing consignee name province encoding",
                        "type": "string",
                        "example": "4300006"
                      },
                      "name": {
                        "name": "name",
                        "description": "Billing name",
                        "type": "string",
                        "example": "Tom Washington"
                      },
                      "address2": {
                        "name": "address2",
                        "description": "Bill consignee additional to detailed address ( up to 255 characters )",
                        "type": "string",
                        "example": "Address 2"
                      },
                      "country": {
                        "name": "country",
                        "description": "Billing consignee country ( up to 64 characters )",
                        "type": "string",
                        "example": "Usa"
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Billing consignee detailed address ( up to 255 characters )",
                        "type": "string",
                        "example": "Address 1"
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "Billing consignee name",
                        "type": "string",
                        "example": "Tom"
                      },
                      "company": {
                        "name": "company",
                        "description": "Company name",
                        "type": "string",
                        "example": "new company"
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "Billing consignee national encoding",
                        "type": "string",
                        "example": "US"
                      },
                      "province": {
                        "name": "province",
                        "description": "Billing consignee name province",
                        "type": "string",
                        "example": "California"
                      }
                    },
                    "example": {
                      "city": "New York",
                      "last_name": "Washington",
                      "phone": "13890312312",
                      "province_code": "4300006",
                      "address2": "Address 2",
                      "province": "California",
                      "country_code": "US",
                      "zip": "521000",
                      "country": "Usa",
                      "first_name": "Tom",
                      "company": "new company",
                      "name": "Tom Washington",
                      "address1": "Address 1"
                    }
                  },
                  "current_total_price": {
                    "name": "current_total_price",
                    "description": "Total tax, product tax + shipping tax",
                    "type": "string",
                    "example": "8.00"
                  },
                  "deduct_member_point_amount": {
                    "name": "deduct_member_point_amount",
                    "description": "Current order member point deduction amount",
                    "type": "string",
                    "example": "3.25"
                  },
                  "discount_applications": {
                    "name": "discount_applications",
                    "description": "Discount information",
                    "type": "array",
                    "items": {
                      "name": "discount_applications",
                      "description": "Discount information",
                      "type": "object",
                      "properties": {
                        "value_type": {
                          "name": "value_type",
                          "description": "% discount , amount discount",
                          "type": "string",
                          "example": "fixed_amount"
                        },
                        "allocation_method": {
                          "name": "allocation_method",
                          "description": "1 ) across ( the value is distributed in all authorized lines ) 2 ) the ach ( the value is applied to each authorized line )",
                          "type": "string",
                          "example": "across"
                        },
                        "code": {
                          "name": "code",
                          "description": "Discount code",
                          "type": "string",
                          "example": "1Q3UMQM8RBP5"
                        },
                        "target_type": {
                          "name": "target_type",
                          "description": "1）line_item、shipping_line",
                          "type": "string",
                          "example": "line_item"
                        },
                        "description": {
                          "name": "description",
                          "description": "Description of custom discount",
                          "type": "string",
                          "example": "Discount description"
                        },
                        "target_selection": {
                          "name": "target_selection",
                          "description": "1 ) explicit ( discount distribution to clear selection ) 2 ) all ( discount distribution to all lines ) 3 ) ENTITLED ( discount distribution only to the line that its right to use )",
                          "type": "string",
                          "example": "explicit"
                        },
                        "title": {
                          "name": "title",
                          "description": "automatic discount title",
                          "type": "string",
                          "example": "Discount title"
                        },
                        "type": {
                          "name": "type",
                          "description": "Discount type",
                          "type": "string",
                          "example": "manual"
                        },
                        "value": {
                          "name": "value",
                          "description": "The specific value of the discount ( it can be n-fold , or it can be the specific amount value )",
                          "type": "string",
                          "example": "20"
                        }
                      },
                      "example": {
                        "description": "Discount description",
                        "value": "20",
                        "value_type": "fixed_amount",
                        "target_type": "line_item",
                        "allocation_method": "across",
                        "type": "manual",
                        "code": "1Q3UMQM8RBP5",
                        "title": "Discount title",
                        "target_selection": "explicit"
                      }
                    },
                    "example": [
                      {
                        "target_type": "line_item",
                        "value_type": "fixed_amount",
                        "title": "Discount title",
                        "target_selection": "explicit",
                        "code": "1Q3UMQM8RBP5",
                        "type": "manual",
                        "value": "20",
                        "description": "Discount description",
                        "allocation_method": "across"
                      }
                    ]
                  },
                  "total_discounts": {
                    "name": "total_discounts",
                    "description": "Total discount, marketing discount + artificial discount",
                    "type": "string",
                    "example": "3.25"
                  },
                  "user_id": {
                    "name": "user_id",
                    "description": "Buyer ID",
                    "type": "string",
                    "example": "4201057495"
                  },
                  "processed_user_id": {
                    "name": "processed_user_id",
                    "description": "order creator",
                    "type": "string",
                    "example": "4201057495"
                  },
                  "total_tip_received": {
                    "name": "total_tip_received",
                    "description": "Tip, precision 2",
                    "type": "string",
                    "example": "8.00"
                  },
                  "total_weight": {
                    "name": "total_weight",
                    "description": "Total product weight ( g )",
                    "type": "double",
                    "example": 100
                  },
                  "order_status_url": {
                    "name": "order_status_url",
                    "description": "Order status page URL",
                    "type": "string",
                    "example": "https://shoptest.myshoplinestg.com/trade/thank_you?mainOrderMark=xxx&mainOrderSeq=200565776406008509"
                  },
                  "app_id": {
                    "name": "app_id",
                    "description": "App ID",
                    "type": "string",
                    "example": "222222"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "Order creation time (see IOS8601 for the format)",
                    "type": "string",
                    "example": "2012-05-01T14:22:25-04:00"
                  },
                  "checkout_id": {
                    "name": "checkout_id",
                    "description": "Discard id",
                    "type": "string",
                    "example": "2404785166526352972864"
                  },
                  "tax_number": {
                    "name": "tax_number",
                    "description": "TIN",
                    "type": "string",
                    "example": "111111"
                  },
                  "subtotal_price": {
                    "name": "subtotal_price",
                    "description": "Total product price after discount, total product price - marketing discount - artificial discount",
                    "type": "string",
                    "example": "3.25"
                  },
                  "current_total_discounts_set": {
                    "name": "current_total_discounts_set",
                    "description": "Multi-currency information of the total discount, there is no multi-currency, so the buyer’s and seller’s currency and amount are the same; { currentTotalDiscountsSet \"shopMoney\": { \"amount\": \"100\", \"currency_code\": \"CNY\" }, \"presentmentMoney\": { \"amount\": \"100\", \"currency_code\": \"CNY\" } }",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Currency information",
                        "type": "object",
                        "properties": {
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency information",
                            "type": "string",
                            "example": "USD"
                          },
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "3.25"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "3.25",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "currency_code": "USD",
                        "amount": "3.25"
                      }
                    }
                  },
                  "note_attributes": {
                    "name": "note_attributes",
                    "description": "Merchant note log, date content",
                    "type": "array",
                    "items": {
                      "name": "note_attributes",
                      "description": "Merchant note log, date content",
                      "type": "object",
                      "properties": {
                        "create_time": {
                          "name": "create_time",
                          "description": "Remark creation time (see IOS8601 for the format)",
                          "type": "string",
                          "example": "2012-05-01T14:22:25-04:00"
                        },
                        "name": {
                          "name": "name",
                          "description": "Remark source (seller ID)",
                          "type": "string",
                          "example": "Notes source"
                        },
                        "value": {
                          "name": "value",
                          "description": "Notes",
                          "type": "string",
                          "example": "Notes"
                        }
                      },
                      "example": {
                        "value": "Notes",
                        "create_time": "2012-05-01T14:22:25-04:00",
                        "name": "Notes source"
                      }
                    },
                    "example": [
                      {
                        "create_time": "2012-05-01T14:22:25-04:00",
                        "name": "Notes source",
                        "value": "Notes"
                      }
                    ]
                  },
                  "shipping_address": {
                    "name": "shipping_address",
                    "description": "Shipping address",
                    "type": "object",
                    "properties": {
                      "longitude": {
                        "name": "longitude",
                        "description": "Longitude",
                        "type": "string",
                        "example": "41"
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "Country code",
                        "type": "string",
                        "example": "US"
                      },
                      "address1": {
                        "name": "address1",
                        "description": "Address 1",
                        "type": "string",
                        "example": "Address 1"
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "First name",
                        "type": "string",
                        "example": "Washington"
                      },
                      "name": {
                        "name": "name",
                        "description": "Full name",
                        "type": "string",
                        "example": "Tom Washington"
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "Last name",
                        "type": "string",
                        "example": "Tom"
                      },
                      "province_code": {
                        "name": "province_code",
                        "description": "Province code",
                        "type": "string",
                        "example": "4200006"
                      },
                      "zip": {
                        "name": "zip",
                        "description": "Postal code",
                        "type": "string",
                        "example": "92503"
                      },
                      "province": {
                        "name": "province",
                        "description": "Province",
                        "type": "string",
                        "example": "California"
                      },
                      "address2": {
                        "name": "address2",
                        "description": "Detailed address 2, optional",
                        "type": "string",
                        "example": "Address 2"
                      },
                      "company": {
                        "name": "company",
                        "description": "Company name",
                        "type": "string",
                        "example": "New company name"
                      },
                      "latitude": {
                        "name": "latitude",
                        "description": "Latitude",
                        "type": "string",
                        "example": "15"
                      },
                      "city": {
                        "name": "city",
                        "description": "City",
                        "type": "string",
                        "example": "New York"
                      },
                      "country": {
                        "name": "country",
                        "description": "Country",
                        "type": "string",
                        "example": "Usa"
                      },
                      "phone": {
                        "name": "phone",
                        "description": "Phone",
                        "type": "string",
                        "example": "1320987655"
                      }
                    },
                    "example": {
                      "address2": "Address 2",
                      "province_code": "4200006",
                      "zip": "92503",
                      "last_name": "Washington",
                      "country": "Usa",
                      "address1": "Address 1",
                      "phone": "1320987655",
                      "longitude": "41",
                      "first_name": "Tom",
                      "latitude": "15",
                      "country_code": "US",
                      "company": "New company name",
                      "name": "Tom Washington",
                      "city": "New York",
                      "province": "California"
                    }
                  },
                  "credit_limit": {
                    "name": "credit_limit",
                    "description": "credit payment",
                    "type": "object",
                    "properties": {
                      "outstanding_credit_limit": {
                        "name": "outstanding_credit_limit",
                        "description": "Total credit limit occupied by the order",
                        "type": "string",
                        "example": "1.00"
                      },
                      "total_credit_limit": {
                        "name": "total_credit_limit",
                        "description": "Total credit limit used for the order",
                        "type": "string",
                        "example": "1.00"
                      },
                      "credit_limit_currency": {
                        "name": "credit_limit_currency",
                        "description": "Currency of the credit limit, currently in store currency",
                        "type": "string",
                        "example": "USD"
                      },
                      "is_credit_limit": {
                        "name": "is_credit_limit",
                        "description": "Whether the order used credit payment\ntrue: Used\nfalse: Not used",
                        "type": "boolean",
                        "example": true
                      }
                    },
                    "example": {
                      "credit_limit_currency": "USD",
                      "is_credit_limit": true,
                      "outstanding_credit_limit": "1.00",
                      "total_credit_limit": "1.00"
                    }
                  },
                  "financial_status": {
                    "name": "financial_status",
                    "description": "Payment status , un pad , authorized , pending , partially_paid , pad , partially_refunded , refunded",
                    "type": "string",
                    "example": "unpaid"
                  },
                  "store_id": {
                    "name": "store_id",
                    "description": "store ID",
                    "type": "string",
                    "example": "1644828244663"
                  },
                  "payment_details": {
                    "name": "payment_details",
                    "description": "Payment slip information",
                    "type": "array",
                    "items": {
                      "name": "payment_details",
                      "description": "Payment slip information",
                      "type": "object",
                      "properties": {
                        "create_time": {
                          "name": "create_time",
                          "description": "Payment slip creation time",
                          "type": "string",
                          "example": "2012-05-01T14:22:25-04:00"
                        },
                        "order_seq": {
                          "name": "order_seq",
                          "description": "Order number",
                          "type": "string",
                          "example": "23057287797738260472676128"
                        },
                        "pay_seq": {
                          "name": "pay_seq",
                          "description": "Payment slip number",
                          "type": "string",
                          "example": "23057287797738260472676128"
                        },
                        "status_code": {
                          "name": "status_code",
                          "description": "payment status code",
                          "type": "string",
                          "example": "RISK_PENDING"
                        },
                        "status_msg": {
                          "name": "status_msg",
                          "description": "Payment order status code description",
                          "type": "string",
                          "example": "PENDING_REVIEW"
                        },
                        "pay_amount": {
                          "name": "pay_amount",
                          "description": "Payment amount",
                          "type": "double",
                          "example": 3.25
                        },
                        "pay_status": {
                          "name": "pay_status",
                          "description": "Payment slip status , unpaid- not paid ; pending- paying ; risking- wind control ; paid-paid ; paid_overtime- payment failed ; paid_failed- payment failure ;",
                          "type": "string",
                          "example": "unpaid"
                        },
                        "processed_at": {
                          "name": "processed_at",
                          "description": "Payment creation time , format : 2023-04-12T22 : 59 : 52+08 : 00",
                          "type": "string",
                          "example": "2023-04-12T22:59:52+08:00"
                        },
                        "pay_channel_deal_id": {
                          "name": "pay_channel_deal_id",
                          "description": "External channel payment serial number",
                          "type": "string",
                          "example": "pi_3MI897Hezv8FxjBO1uGxMPhX"
                        }
                      },
                      "example": {
                        "pay_seq": "23057287797738260472676128",
                        "create_time": "2012-05-01T14:22:25-04:00",
                        "processed_at": "2023-04-12T22:59:52+08:00",
                        "status_msg": "PENDING_REVIEW",
                        "pay_amount": 3.25,
                        "status_code": "RISK_PENDING",
                        "pay_status": "unpaid",
                        "pay_channel_deal_id": "pi_3MI897Hezv8FxjBO1uGxMPhX",
                        "order_seq": "23057287797738260472676128"
                      }
                    },
                    "example": [
                      {
                        "order_seq": "23057287797738260472676128",
                        "pay_amount": 3.25,
                        "create_time": "2012-05-01T14:22:25-04:00",
                        "status_msg": "PENDING_REVIEW",
                        "pay_channel_deal_id": "pi_3MI897Hezv8FxjBO1uGxMPhX",
                        "pay_seq": "23057287797738260472676128",
                        "pay_status": "unpaid",
                        "processed_at": "2023-04-12T22:59:52+08:00",
                        "status_code": "RISK_PENDING"
                      }
                    ]
                  },
                  "total_shipping_price_set": {
                    "name": "total_shipping_price_set",
                    "description": "Order shipping sum, multi-currency information",
                    "type": "object",
                    "properties": {
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          },
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "8.00"
                          }
                        },
                        "example": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      },
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "currency_code": "USD",
                        "amount": "8.00"
                      }
                    }
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "Order update time, (see IOS8601 for the format)",
                    "type": "string",
                    "example": "2012-05-01T14:22:25-04:00"
                  },
                  "current_subtotal_price_set": {
                    "name": "current_subtotal_price_set",
                    "description": "Multi-currency information of the current commodity sum, the buyer's and seller's currency and the amount are the same",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buy side currency",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount",
                            "type": "string",
                            "example": "78.08"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "78.08",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "78.08"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency code",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "78.08"
                        }
                      }
                    },
                    "example": {
                      "shop_money": {
                        "currency_code": "USD",
                        "amount": "78.08"
                      },
                      "presentment_money": {
                        "currency_code": "USD",
                        "amount": "78.08"
                      }
                    }
                  },
                  "subtotal_price_set": {
                    "name": "subtotal_price_set",
                    "description": "Multi-currency information of total product price after discount",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "shop_money": {
                        "amount": "3.25",
                        "currency_code": "USD"
                      },
                      "presentment_money": {
                        "currency_code": "USD",
                        "amount": "3.25"
                      }
                    }
                  },
                  "total_line_items_price_set": {
                    "name": "total_line_items_price_set",
                    "description": "Sum of original price of goods, multi-currency information",
                    "type": "object",
                    "properties": {
                      "shop_money": {
                        "name": "shop_money",
                        "description": "Sell side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      },
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "Buyer side amount information",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "Amount, Precision 2",
                            "type": "string",
                            "example": "8.00"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "Currency",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.00",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "shop_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      },
                      "presentment_money": {
                        "amount": "8.00",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "discount_codes": {
                    "name": "discount_codes",
                    "description": "Promo code information",
                    "type": "array",
                    "items": {
                      "name": "discount_codes",
                      "description": "Promo code information",
                      "type": "object",
                      "properties": {
                        "code": {
                          "name": "code",
                          "description": "Promo code",
                          "type": "string",
                          "example": "KIN4GNAB2FRH"
                        },
                        "type": {
                          "name": "type",
                          "description": "Type of discount, reduced amount; discount; free shipping; fixed price; the lowest price item is free; package price; the Nth item is discounted;",
                          "type": "string",
                          "example": "deduction amount"
                        },
                        "amount": {
                          "name": "amount",
                          "description": "Discount amount, precision 2",
                          "type": "string",
                          "example": "3.25"
                        }
                      },
                      "example": {
                        "amount": "3.25",
                        "code": "KIN4GNAB2FRH",
                        "type": "deduction amount"
                      }
                    },
                    "example": [
                      {
                        "amount": "3.25",
                        "code": "KIN4GNAB2FRH",
                        "type": "deduction amount"
                      }
                    ]
                  },
                  "shipping_lines": {
                    "name": "shipping_lines",
                    "description": "Logistics information",
                    "type": "array",
                    "items": {
                      "name": "shipping_lines",
                      "description": "Logistics information",
                      "type": "object",
                      "properties": {
                        "price": {
                          "name": "price",
                          "description": "Logistics freight, precision 2",
                          "type": "string",
                          "example": "8.00"
                        },
                        "price_set": {
                          "name": "price_set",
                          "description": "Logistics freight multi-resource information",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Amount information on the store side",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount, Precision 2",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Buyer side amount information",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount, Precision 2",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "currency_code": "USD",
                              "amount": "8.00"
                            }
                          }
                        },
                        "discount_allocations": {
                          "name": "discount_allocations",
                          "description": "Discount Details",
                          "type": "array",
                          "items": {
                            "name": "discount_allocations",
                            "description": "Discount Details",
                            "type": "object",
                            "properties": {
                              "amount": {
                                "name": "amount",
                                "description": "Discount amount, precision 2",
                                "type": "string",
                                "example": "8.00"
                              },
                              "amount_set": {
                                "name": "amount_set",
                                "description": "Discount Multi-Currency Amount",
                                "type": "object",
                                "properties": {
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "Amount information on the store side",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount, Precision 2",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "Buyer side amount information",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount, Precision 2",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "currency_code": "USD",
                                      "amount": "8.00"
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "discount_application_index": {
                                "name": "discount_application_index",
                                "description": "Discount index information : marked in the position of the discount details",
                                "type": "integer",
                                "example": 1
                              }
                            },
                            "example": {
                              "amount": "8.00",
                              "amount_set": {
                                "presentment_money": {
                                  "currency_code": "USD",
                                  "amount": "8.00"
                                },
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "discount_application_index": 1
                            }
                          },
                          "example": [
                            {
                              "amount": "8.00",
                              "amount_set": {
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                }
                              },
                              "discount_application_index": 1
                            }
                          ]
                        },
                        "requested_fulfillment_service_id": {
                          "name": "requested_fulfillment_service_id",
                          "description": "Transportation service code",
                          "type": "string",
                          "example": "LX88888"
                        },
                        "code": {
                          "name": "code",
                          "description": "Logistics number",
                          "type": "string",
                          "example": "SF"
                        },
                        "source": {
                          "name": "source",
                          "description": "Shipping source",
                          "type": "string",
                          "example": "source"
                        },
                        "discounted_price": {
                          "name": "discounted_price",
                          "description": "Discount amount, precision 2",
                          "type": "string",
                          "example": "8.00"
                        },
                        "phone": {
                          "name": "phone",
                          "description": "Phone",
                          "type": "string",
                          "example": "13243214565"
                        },
                        "tax_lines": {
                          "name": "tax_lines",
                          "description": "Logistics tax list",
                          "type": "array",
                          "items": {
                            "name": "tax_lines",
                            "description": "Logistics tax list",
                            "type": "object",
                            "properties": {
                              "title": {
                                "name": "title",
                                "description": "Tax name",
                                "type": "string",
                                "example": "tax"
                              },
                              "price": {
                                "name": "price",
                                "description": "tax",
                                "type": "string",
                                "example": "8.00"
                              },
                              "price_set": {
                                "name": "price_set",
                                "description": "Multi-currency information of tax",
                                "type": "object",
                                "properties": {
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "Buyer side amount information",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "Sell side amount information",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount, Precision 2",
                                        "type": "string",
                                        "example": "8.00"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": "8.00",
                                      "currency_code": "USD"
                                    }
                                  }
                                },
                                "example": {
                                  "shop_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  },
                                  "presentment_money": {
                                    "amount": "8.00",
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "rate": {
                                "name": "rate",
                                "description": "Tax rate",
                                "type": "double",
                                "example": 1
                              }
                            },
                            "example": {
                              "price_set": {
                                "shop_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "presentment_money": {
                                  "currency_code": "USD",
                                  "amount": "8.00"
                                }
                              },
                              "rate": 1,
                              "title": "tax",
                              "price": "8.00"
                            }
                          },
                          "example": [
                            {
                              "price": "8.00",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "8.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "currency_code": "USD",
                                  "amount": "8.00"
                                }
                              },
                              "rate": 1,
                              "title": "tax"
                            }
                          ]
                        },
                        "title": {
                          "name": "title",
                          "description": "Logistics name",
                          "type": "string",
                          "example": "SF International"
                        },
                        "discounted_price_set": {
                          "name": "discounted_price_set",
                          "description": "Discount Multi-Currency Amount",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Buyer side amount information",
                              "type": "object",
                              "properties": {
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "USD"
                                },
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount, Precision 2",
                                  "type": "string",
                                  "example": "8.00"
                                }
                              },
                              "example": {
                                "amount": "8.00",
                                "currency_code": "USD"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Amount information on the store side",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount, Precision 2",
                                  "type": "string",
                                  "example": "8.00"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "currency_code": "USD",
                                "amount": "8.00"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": "8.00",
                              "currency_code": "USD"
                            }
                          }
                        },
                        "shipping_price": {
                          "name": "shipping_price",
                          "description": "The value of the original shipping fee (not the amount after the discount)",
                          "type": "string",
                          "example": "8.00"
[...]
